Bug 480538 - Review Request: iptux -- a tool for sharing and transporting files and directories in Lan
Review Request: iptux -- a tool for sharing and transporting files and direct...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
http://code.google.com/p/iptux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 10:50 EST by Liang Suilong
Modified: 2009-05-09 12:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 12:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
a new iptux specfile (1.41 KB, application/octet-stream)
2009-01-19 13:28 EST, Liang Suilong
no flags Details
iptux srpm (313.07 KB, application/x-rpm)
2009-01-19 13:31 EST, Liang Suilong
no flags Details
build log file (8.13 KB, text/plain)
2009-02-08 23:08 EST, Caius 'kaio' Chance
no flags Details
build.log of mock rebuild, on 'fedora-devel-i386' (43.96 KB, text/plain)
2009-02-10 14:51 EST, Caius 'kaio' Chance
no flags Details
Fix build error with g++44 (304 bytes, patch)
2009-02-11 10:05 EST, Mamoru TASAKA
no flags Details | Diff
patch to compile 0.4.5 rc1 with ppc (2.19 KB, patch)
2009-02-15 09:39 EST, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Liang Suilong 2009-01-18 10:50:30 EST
spec file: http://rpm4fc-cn.googlecode.com/files/iptux.spec
rpm file: http://rpm4fc-cn.googlecode.com/files/iptux-0.4.4-3.fc10.i386.rpm
sprm file: http://rpm4fc-cn.googlecode.com/files/iptux-0.4.4-3.fc10.src.rpm
debuginfo file: http://rpm4fc-cn.googlecode.com/files/iptux-debuginfo-0.4.4-3.fc10.i386.rpm

Description:

A software for sharing and transporting files and directories in LAN. It is written by C++ and 
the skin is designed by gtk. Iptux is based on ipmsg, so you can use it send files to a Windows
 PC which has an ipmsg Windows edition in Lan.


If you want, you can compile it in x86_64 platform. Because I have a Fedora x86_64 edition, I 
do not build rpm for x86_64.

Details:

You can see more details in here: http://code.google.com/p/iptux/

Also here is its google group: https://groups.google.com/group/iptux

These two sites are written in Simplified Chinese. So before reading it, you can use google translate! 

I feel it is a pretty good software. So I hope iptux can be admitted to add into Fedora repository! 

Thank you for spending the time to review this package for inclusion.
Comment 1 Jochen Schmitt 2009-01-18 15:35:14 EST
Good:
+ Basename of SPEC files matches with package name
+ Package contains a License tag
+ Package contains most recent release of the software
+ %setup use -q flag
+ make use _smp_mflags
+ Local build works fine.
+ Debuginfo package contains source files
+ Buildroot will be cleaned on the beginning of %install andn %clean
+ Files permissions seems ok
+ All packaged files are owned by this package
+ There are no file comflict with other packates.
+ %doc stanza contains a small amount of files, so we need no separate doc subpackage


Bad:
- License tag contains no proper license specification, it should be GPLv2+
- Source0 tag is not full qualified
- Build doesn't use RPM_OPT_FLAGS
- Rpmlint complaints on source package:
iptux.src: W: summary-ended-with-dot A software for sharing in LAN.
iptux.src: W: non-standard-group Application/Network
iptux.src: W: invalid-license GNU General Public License v2
- Rpmlint complaints on binary package:
rpmlint iptux-0.4.4-3.fc10.x86_64.rpm
iptux.x86_64: E: explicit-lib-dependency glib
iptux.x86_64: W: summary-ended-with-dot A software for sharing in LAN.
iptux.x86_64: W: non-standard-group Application/Network
iptux.x86_64: W: incoherent-version-in-changelog -0.4.4-3 ['0.4.4-3.fc10', '0.4.4-3']
iptux.x86_64: W: invalid-license GNU General Public License v2
iptux.x86_64: W: file-not-in-%lang /usr/share/locale/zh_CN/LC_MESSAGES/iptux.mo
- Package contains no verbain copy of the license text, but upstream tar ball contains one
- Package contains no BR and Req. to desktop-file-utils
- Please ud %{_bindir} instead of %{_prefix}/bin
- Build fails on Koji please refer to http://koji.fedoraproject.org/koji/taskinfo?taskID=1064580
- Please use %file_lang macro for localization
Comment 2 Simon 2009-01-18 15:59:53 EST
I just took a short look at your package.. just a very short look


RPMLINT-ERRORS
--------------
1)
- iptux.src: W: summary-ended-with-dot A software for sharing in LAN.
remove the .


2)
- iptux.src: E: description-line-too-long A software for sharing and transporting files and directories in LAN. It is written by C++ and the skin is designed by gtk. Iptux is based on ipmsg, so you can use it send files to a Windows PC which has an ipmsg Windows edition in Lan.
split it in more and shorter lines


3)
- iptux.src: W: non-standard-group Application/Network
take a look at /usr/share/doc/rpm-4.6.0/GROUPS
Applications/Internet


4)
- iptux.src: W: invalid-license GNU General Public License v2
take a look at https://fedoraproject.org/wiki/Licensing
GPLv2


5)
- iptux.i386: E: explicit-lib-dependency glib
you don't need glib in Requires


6)
- iptux.i386: W: incoherent-version-in-changelog -0.4.4-3 ['0.4.4-3.fc10', '0.4.4-3']
you packed the source! don't do this. use the source that upstream given.


7)
- iptux.i386: W: file-not-in-%lang /usr/share/locale/zh_CN/LC_MESSAGES/iptux.mo
%files -f %{name}.lang




Things in the specfile
----------------------

a)
you: Source0:        iptux-0.4.4-3.tar.gz 
should: Source0:       http://iptux.googlecode.com/files/iptux-0.4.4.tar.gz
better: Source0:       http://iptux.googlecode.com/files/%{name}-%{version}.tar.gz


b)
%doc INSTALL NEWS README TODO AUTHORS
- don't use INSTALL for %doc, because users are not interessted in a howto of installation. this is a package and the installation was done by you.
- add the COPYING file to %doc, because License file are very 
- NEWS looks like "this is just a chinese header"-file. if news don't show news, just an header you should remove it
- Same for README 


c)
you %{_prefix}/bin/iptux
very better: %{bindir}/%{name}


d)
you: %{_datadir}/applications/*
better: %{_datadir}/applications/iptux.*
or: %{_datadir}/applications/iptux.desktop


e)
you: %{_datadir}/locale/*
add %files -f %{name}.lang and remove this completely


f)
you: 
%{_datadir}/pixmaps/* 

better:
%{_datadir}/pixmaps/%{name}/
%{_datadir}/pixmaps/ip-tux.png
%{_datadir}/pixmaps/ip-penguin.png 


to d/e/f
please create an ownage of the files YOU packaged. not of all in the directory, because you will take ownage of files you haven't created. files of other packages.


g)desktop file install 
--rebuild-mime-info-cache 
Why? ip-tux doesn't need to mime a 


h) desktop file install
--delete-original 
Why are you deleting the desktop file to reinstall it again.
You should validate the desktopfile
https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage


i) 
Add the desktop-file-utils to BuildRequires


j)
BuildRequires:  glib-devel, GConf2, gtk2-devel
Requires:       glib, gtk2, GConf2, gtk2

rpm can create Requires from the BuildRequires. 
Example: If you say BuildRequires: gtk2-devel rpm will automaticly create Requires: gtk2

gtk2 is doubled...


k)
%post
update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :

you don't need this. why are you adding these commands?


l)
you should think about better texts for the changelog and use the right version-number.



I will remove me from Asignee and add me to CC because you are sponsored and you need a sponsor.
I will add the "need sponor bug"
I can not sponsor you
Comment 3 Liang Suilong 2009-01-19 08:39:38 EST
Thank Jochen Schmitt and Simon Wesp for your help! 

I am fixing my spec file. Later I will submit a new spec file which has been fixed to this bug report. Could you 
review my new spec file again? 

For the reason that I did not used koji server, I really do not know building a RPM file is quite different from 
in my local machine. Yes! It is very smooth to build an iptux RPM package in my machine. Are there difference 
between koji and rpmbuild in local machine? 

I am a Chinese student, so my English is so poor. I need to practise English more. 

PS: I am not an author of iptux. I just built a RPM for iptux. I feel it is a good software. So I want it to be 
added into Fedora repository soon.
Comment 4 Liang Suilong 2009-01-19 13:28:38 EST
Created attachment 329375 [details]
a new iptux specfile

Now I fix the problems and build RPMs again in my machine. After that, I create a new directory and copy packages 
and specfile to test by rpmlint in CLI.

The result is that:

[fedora@fedora-desktop iptux]$ ls -a
.   iptux-0.4.4-1.fc10.i386.rpm  iptux-debuginfo-0.4.4-1.fc10.i386.rpm
..  iptux-0.4.4-1.fc10.src.rpm   iptux.spec
[fedora@fedora-desktop iptux]$ rpmlint -a *
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Traceback (most recent call last):
  File "/usr/share/rpmlint/rpmlint.py", line 295, in <module>
    main()
  File "/usr/share/rpmlint/rpmlint.py", line 139, in main
    for item in ts.IDTXload():
AttributeError: 'rpm.ts' object has no attribute 'IDTXload'

Is it OK now? Should I correct AttributeError? If it needs to be fixed, 
I do not know how to fix the AttributeError exactly. Could you help me?

I upload a new iptux specfile as an attachment. You can download it and 
see it.

At last, how can I find a sponsor to sponsor me?
Comment 5 Liang Suilong 2009-01-19 13:31:13 EST
Created attachment 329376 [details]
iptux srpm

I also upload an iptux SRPM.
Comment 6 Liang Suilong 2009-01-26 11:32:40 EST
anyone can help me?
Comment 7 Simon 2009-01-27 07:54:15 EST
https://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Some tipps:
- List of Sponsors
  https://admin.fedoraproject.org/accounts/group/members/packager/*/sponsor

- show that you have an understanding of the process and of the 
  packaging guidelines
  https://fedoraproject.org/wiki/PackageMaintainers/Join#Read_the_Guidelines
  a) try to find other reviews and give tipps to make theyr rpms better
    (at the time you are not sponsored, you can not do a formal review)
  b) submit other review requests (with enough quality) 

- Are you a member of the mailinglists?
  https://fedoraproject.org/wiki/PackageMaintainers/Join#Join_the_important_Mailing_Lists


for your package:
take a look at the rpm-opt-flags (Jochen told you, i haven't take a look on it yet)
https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags
Comment 8 Liang Suilong 2009-01-30 03:44:02 EST
- Are you a member of the mailinglists?

I am so sorry that I am not a member
Comment 9 Liang Suilong 2009-02-06 14:03:40 EST
Anyone can help me?
Comment 10 Caius 'kaio' Chance 2009-02-08 22:46:00 EST
(In reply to comment #9)
> Anyone can help me?

fedora-review flag should be set '?' by contributor for primary reviewer to review. Since you are not sponsored packager, I could not be the primary reviewer for you. This is because pre-sponsored contributor's package review request could only be reviewed by sponsor.

I could do pre-review for you instead. Once it is generally done, please set the fedora-review flag to '?' for sponsors.
Comment 11 Caius 'kaio' Chance 2009-02-08 23:08:31 EST
Created attachment 331277 [details]
build log file

Check the last lines (I used mock to build it on my F10):

checking for GTHREAD...
yes
checking for GCONF...
configure: error: Package requirements (gconf-2.0 >= 2.0.0) were not met:
No package 'gconf-2.0' found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables GCONF_CFLAGS
and GCONF_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.Z5wTJb (%build)
    Bad exit status from /var/tmp/rpm-tmp.Z5wTJb (%build)
Comment 12 Liang Suilong 2009-02-09 14:11:36 EST
Thank you, Kaio. Now I am correcting the specfile. I make a little mistake...haha!

Later, I will upload a new specfile.
Comment 13 Liang Suilong 2009-02-10 10:09:10 EST
Now I have updated the specfile. Here is the URL: http://liangsuilong.fedorapeople.org/iptux.spec

Here is SRPM url:http://liangsuilong.fedorapeople.org/iptux-0.4.4-1.fc10.src.rpm

I hope someone can help me.

Kaio,could you help me again?
Comment 14 Caius 'kaio' Chance 2009-02-10 14:51:38 EST
Created attachment 331461 [details]
build.log of mock rebuild, on 'fedora-devel-i386'

I ain't sure if my F10 compiler has anything effects on this, but mock has following compilation error:

utils.cpp:95: error: invalid conversion from 'const char*' to 'char*'

(FYI, my command `mock -r fedora-devel-i386 --rebuild iptux-0.4.4-1.fc10.src.rpm` which mock supposed to build for rawhide)

Has this srpm built correctly on real rawhide? As devel tree will be the first cvs tree created if package review is approved, might you provide iptux-0.4.4-1.devel.src.rpm if possible.
Comment 15 Caius 'kaio' Chance 2009-02-10 14:53:38 EST
How about getting latest working rawhide to create your srpm?
Comment 16 Liang Suilong 2009-02-10 20:01:42 EST
Thank you kaio.

I think maybe F10 compiler brings about the building failure, but I can not sure. 

I think the reason is the normal compiler of F10 is gcc-4.3.2-7, I know fedora-rawhide's compiler is gcc-4.4.0.

gcc-4.4.0 is developing and is not released official by FSF. There are maybe some bugs that need to be fixed.
I did not try to build RPM for iptux on fedora-rawhide. Later I will installed a fedora rawhide for the test of 
packaging. 

Should I need x86_64 or i686 rawhide?
Comment 17 Caius Chance 2009-02-10 21:48:20 EST
I ain't sure if package review guidelines actually stated that you have to be buildable on rawhide. If so, I guess ix86 is alright.

Honestly, even if you could get cvs tree created for rawhide (devel), koji won't be able to build it to rawhide successfully with such approved but *not buildable* srpm.
Comment 18 Mamoru TASAKA 2009-02-11 10:05:46 EST
Created attachment 331571 [details]
Fix build error with g++44

(In reply to comment #14)
> Created an attachment (id=331461) [details]
> build.log of mock rebuild, on 'fedora-devel-i386'
> 
> I ain't sure if my F10 compiler has anything effects on this, but mock has
> following compilation error:
> 
> utils.cpp:95: error: invalid conversion from 'const char*' to 'char*'

(In reply to comment #16)
> gcc-4.4.0 is developing and is not released official by FSF. There are maybe
> some bugs that need to be fixed.

I just watched these comments on fedora-package-review mailing list,
so I have not checked the srpm of this package at all. However
I guess this is a bug in source code, see:

https://www.redhat.com/archives/fedora-devel-list/2009-January/msg02248.html

A suggestion patch attached (only tested on i386, note that I just
checked if the compilation passes)
Comment 19 Liang Suilong 2009-02-11 14:53:33 EST
Thank you Mamoru Tasaka

Kaio and Mamoru Tasaka

I have built a SPRM with iptux-0.4.4-g++44.patch.

Here is the URL:
SPEC file:http://liangsuilong.fedorapeople.org/iptux/iptux.spec
SRPM:http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.4-2.fc10.src.rpm

To Mamoru Tasaka

May I add your e-mail address into CC list? If you don't want, I will remove your 
e-mail address in CC list.

Could you do the primary review for me? I hope iptux can be put into Fedora repository
to help more people.
Comment 20 Mamoru TASAKA 2009-02-13 12:54:06 EST
For 0.4.4-2:

* License
  - Although the project URL says this is under GPLv2,
    judging from the source tarball the license tag should
    be "GPLv2+"
    * Version information is specified only in
      src/iptux.cpp, which is under GPLv2+
    * Also src/AboutIptux.cpp shows this is under GPLv2+
      (this can be seen by Help->About on iptux)
    * ref:
      https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

* BuildRequires
  - This srpm won't build without "BR: gettext"
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1125112

* Timestamps
  - Please consider to use
------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
------------------------------------------------------------------
    to keep timestamps on installed files as much as possible.
    This method usually works for Makefiles generated from recent
    autotools.

* %{?name}
  - I guess using %{name} is enough.
Comment 21 Mamoru TASAKA 2009-02-13 12:54:37 EST
Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 22 Liang Suilong 2009-02-14 13:22:44 EST
Thank you Mamoru Tasaka

I have corrected the errors. Could you review again?

Also, I have upgraded iptux to 0.4.5-rc1. But this version is not an official release.
Maybe there are some bugs.

But Building it is quite OK.

Here is URL:

SPEC (I have upgraded to 0.4.5-rc1)
http://liangsuilong.fedorapeople.org/iptux/iptux.spec

SPRM (0.4.5-rc1)
http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.5-0.1.rc1.fc11.src.rpm

SPRM (0.4.4-2, the package has been updated, not that old package.)
http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.4-2.fc11.src.rpm
Comment 23 Mamoru TASAKA 2009-02-15 09:39:25 EST
Created attachment 331971 [details]
patch to compile 0.4.5 rc1 with ppc

For 0.4.5-0.1.rc1:

* Missing BuildRequires
  - This srpm does not build on dist-f10-updates-candidate without
     "BR: dbus-devel" due to packaging bug in *ORBit2-devel*.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1127627

* ppc build failure
  - 0.4.5 rc1 won't build at least on ppc, because of using x86
    specific assembler codes (in src/utils.h).
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1127604

    A patch to revert the use of these assembler codes (to what
    is used in 0.4.4) is attached.
    Would you submit both 2 patches to the upstream? (we won't
    have to wait for upstream's response for this review request,
    however it is desirable that these patches are applied in
    the upstream)

* %changelog
------------------------------------------------------------
* Sun Feb 15 2009 Liang Suilong <liangsuilong@gmail.com> 0.4.5-1.rc1
------------------------------------------------------------
  - The last should be "0.4.5-0.1.rc1".

Then I will wait for your pre-review or another review request.
Comment 24 Mamoru TASAKA 2009-02-15 09:42:40 EST
(In reply to comment #23)
> * Missing BuildRequires
>   - This srpm does not build on dist-f10-updates-candidate without
>      "BR: dbus-devel" due to packaging bug in *ORBit2-devel*.

due to packaging bug in *GConf2-devel*, sorry
Comment 25 Liang Suilong 2009-02-17 14:12:05 EST
http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.5-0.2.rc1.fc11.src.rpm

I have integrated the ppc patch into new SRPMS.

Later, I will contact with the author and persuade him to apply patches in 
the upstream. Now he is working for new functions. If new version is released,
the patch would have been applied in the upstream.

You said that srpm does not build on f10-updates-candidate due to bug in 
GConf2-devel. That means iptux source codes do not cause the failure. Is that 
right?

Also, I want to submit a new software. But I do not understand something. So I
will send a mail to you and ask you several questions? Is it OK?
Comment 26 Mamoru TASAKA 2009-02-18 12:32:40 EST
(In reply to comment #25)
> http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.5-0.2.rc1.fc11.src.rpm
> 
> I have integrated the ppc patch into new SRPMS.

Well, ppc64 also needs %{name}-0.4.5-rc1-revert-using-ipv4_order.patch.
Actually assembly codes used in src/utils.h are ix86 specific and
I guess 0.4.5 rc1 fails to rebuild on any non-ix86 architecture.
I think applying the patch on all archs is preferable.

(In reply to comment #25)
> You said that srpm does not build on f10-updates-candidate due to bug in 
> GConf2-devel. That means iptux source codes do not cause the failure. Is that 
> right?

Actually someone else filed this issue as bug 485667.
For now adding "BuildRequires: dbus-devel" for F-10 (maybe also
on F-9) like
----------------------------------------------------
%if 0%{?fedora} < 11
# due to bug 485667
BuildRequires: dbus-devel
----------------------------------------------------
is preferable.
Comment 27 Liang Suilong 2009-02-23 05:28:58 EST
Mamoru Tasaka,

I have uploaded a new package for iptux. The latest version is 
0.45-rc3. Here is url: http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.5-0.1.rc3.fc10.src.rpm

Because of too many bugs, I dropped this version.
I think it is not important. The author said that he also was not 
satisfied with iptux-0.4.5-rc2. In the meanwhile I think Fedora need
a stable software, not one full of bugs.

In iptux-0.4.5-rc3, the author add quite many functions. For example 
warning sounds. Maybe we should add gstreamer and gstreamer-devel 
into BuildRequires. But I am not sure, I do not do it. I try to use 
mock to test. But my mock is too slow when it is running yum. Maybe 
my bandwidth speed is too low.

Another question, is it really dbus-devel? I try many times. I do not
think it need dbus-devel. Maybe I need to test more times.

Regards,
Liang
Comment 28 Mamoru TASAKA 2009-02-23 10:36:10 EST
(In reply to comment #27)
> Mamoru Tasaka,
> 
> I have uploaded a new package for iptux. The latest version is 
> 0.45-rc3. Here is url:
> http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.5-0.1.rc3.fc10.src.rpm

- Unfortunately this does not build completely.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1146112

- By the way don't downgrade EVR (Epoch-Version-Release) during
  review request.
  0.4.5-0.1.rc3 < 0.4.5-0.2.rc1

> Another question, is it really dbus-devel? I try many times. I do not
> think it need dbus-devel. Maybe I need to test more times.
- See bug 485667
Comment 29 Liang Suilong 2009-03-01 03:08:32 EST
Mamoru Tasaka,

I have uploaded iptux-0.4.5-rc4. I hope you can try to build it again.
Thank you very much!

Because my campus network is too bad, I can not connect most of all websites
including Fedora. As a matter of fact, I have built This package for a few days.
When I went home, I am able to upload my files.

The author says that iptux-0.4.5 will released soon. At that time, I will build
a RPM package just now!
Comment 30 Mamoru TASAKA 2009-03-01 11:55:52 EST
...
You seem to have reverted all changes you did previously
to fix the issues I pointed out on comment 20. You also
removed some %changelog entry. Please restore them.
Comment 31 Liang Suilong 2009-03-01 23:25:46 EST
en...I will do it. 

Can it be built in mock or koji??

I am not author. The real author says that he has fixed the bug. So the patch was
not needed.
Comment 32 Mamoru TASAKA 2009-03-02 00:18:04 EST
Yes, rc4 compiles on i586, x86_64, ppc, ppc64 (BR: gettext needed)
Comment 33 Liang Suilong 2009-03-04 10:21:01 EST
Mamoru Tasaka

http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.5-1.fc10.src.rpm
I uploaded iptux-0.4.5 final to my fedorapeople spaces. 
I added gettext to BR.
I also fixed %changelog
Comment 34 Mamoru TASAKA 2009-03-04 13:38:51 EST
Okay, now this package itself is good.
So I will wait for your another review request or your
pre-review (as commented in comment 21)
Comment 35 Liang Suilong 2009-03-16 11:41:28 EDT
http://liangsuilong.fedorapeople.org/iptux/iptux-0.4.5-2.fc10.src.rpm

Here is the latest iptux.

Now I am working for building package for shutter. But I meet some troubles
and I need some time to solve them. Later I will write new review requests 
for shutter and it dependencies.
Comment 36 Mamoru TASAKA 2009-03-26 10:23:07 EDT
ping?
Comment 37 Liang Suilong 2009-03-26 11:58:36 EDT
ping? What does it mean?

Should I send something about iptux to you"

I want to write a new review request for shutter. But the problem is that I can build a package for shutter's dependencies but I can not install them in Fedora Rawhide because of lack of dependencies. However I can install them in Fedora 10. I have waited for a long time but the problem is not be solved. I am just still waiting.

My Fedora 10 broke down just now. The reason I guess is new NetworkManager erase all the things in /etc/dbus-1/system.d/nm-applet.conf after I upgrade my system from fedora updates repository not updates-testing repository. And then, all things related to dbus(messagebus service) broke down. So I restart my system. But I can not log in GNOME again. But I can use CLI mode. 

I hope the maintainer of NetworkManager will fix the bug soon!
Comment 38 Mamoru TASAKA 2009-03-26 12:30:18 EDT
(In reply to comment #37)
> ping? What does it mean?

It means that I am waiting for your another review request.

> I want to write a new review request for shutter. But the problem is that I can
> build a package for shutter's dependencies but I can not install them in Fedora
> Rawhide because of lack of dependencies. However I can install them in Fedora
> 10. I have waited for a long time but the problem is not be solved. I am just
> still waiting.

I don't catch what issue you are seeing correctly, however
- If there are other dependeny packages needed for shutter and not
  available on Fedora, you also have to submit review requests
  for those packages
- Generally speaking it is not always possible to install packages
  rebuilt on F-10 system into F-11 system
- If there are some bugs on packages in Fedora which prevents shutter
  from being installed, you have to file a bug against that component.
  Just waiting won't solve the problem....

> My Fedora 10 broke down just now. The reason I guess is new NetworkManager
> erase all the things in /etc/dbus-1/system.d/nm-applet.conf after I upgrade my
> system from fedora updates repository not updates-testing repository. And then,
> all things related to dbus(messagebus service) broke down. So I restart my
> system. But I can not log in GNOME again. But I can use CLI mode. 

- I am rawhide user, don't use NetworkManager at all, however
  did you try to downgrade NetworkManager?
  (If you want to downgrade NetworkManager, visit:
   http://koji.fedoraproject.org/koji/packageinfo?packageID=335 )
Comment 39 Liang Suilong 2009-04-01 01:14:57 EDT
Mamoru Tasaka,

I have write a new review request for Shutter. 

If you have time, I hope you can do a sponsor review.

Shutter has two dependencies. So you need to do three reviews.

Here is shutter's bug report
https://bugzilla.redhat.com/show_bug.cgi?id=493246

And here are shutter's dependencies.
perl-Goo-Canvas:
https://bugzilla.redhat.com/show_bug.cgi?id=493250

perl-Gnome2-Wnck:
https://bugzilla.redhat.com/show_bug.cgi?id=493247
Comment 40 Mamoru TASAKA 2009-04-06 13:57:38 EDT
Now I approve this package and sponsor you.

---------------------------------------------------------
  This package (iptux) is APPROVED by mtasaka
---------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 41 Mamoru TASAKA 2009-04-18 12:09:27 EDT
ping?
Comment 43 Liang Suilong 2009-04-18 14:31:51 EDT
New Package CVS Request
=======================
Package Name: iptux
Short Description: A software for sharing in LAN
Owners: liangsuilong
Branches: F-10 devel
InitialCC: liangsuilong
Cvsextras Commits: yes
Comment 44 Kevin Fenzi 2009-04-18 21:24:00 EDT
I assume you want a F-11 branch here as well. 

cvs done with F-11 branch added.
Comment 45 Mamoru TASAKA 2009-04-30 12:48:00 EDT
ping?
Comment 46 Mamoru TASAKA 2009-05-08 12:36:23 EDT
For F-11/10, please visit bodhi system:
https://admin.fedoraproject.org/updates/
and submit requests to push rebuild packages into repositories.
Comment 47 Mamoru TASAKA 2009-05-09 12:38:52 EDT
Thanks. Now closing.

Note You need to log in before you can comment on or make changes to this bug.